Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Encore un conflit non-résolu
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
Anard
Tux's lil' helper
Tux's lil' helper


Joined: 01 Oct 2020
Posts: 91

PostPosted: Mon Nov 01, 2021 12:04 pm    Post subject: Encore un conflit non-résolu Reply with quote

Bonjour, j'ai encore un conflit irrésolu lors de la mise à jour de mon système :
Code:

$ emerge -pvuDN @world

These are the packages that would be merged, in order:

Calculating dependencies... done!

Total: 0 packages, Size of downloads: 0 KiB

WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

sys-libs/glibc:2.2

  (sys-libs/glibc-2.33-r7:2.2/2.2::gentoo, ebuild scheduled for merge) USE="multiarch (multilib) ssp (static-libs) -audit -caps (-cet) -compile-locales (-crypt) -custom-cflags -doc -gd -headers-only -multilib-bootstrap -nscd -profile (-selinux) -static-pie -suid -systemd -systemtap -test (-vanilla)" ABI_X86="(64)" conflicts with
    sys-libs/glibc[crypt(+)] required by (virtual/libcrypt-1-r1:0/1::gentoo, installed) USE="-static-libs" ABI_X86="(64) -32 (-x32)"
$


Je crois comprendre que libcrypt voudrait que le USE flag 'crypt' soit activé pour glibc, mais ça ne va pas non plus :

Code:

$ USE="crypt" emerge -pv glibc

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] sys-libs/glibc-2.33-r1:2.2::gentoo  USE="(crypt) multiarch (multilib) ssp (static-libs) -audit -caps (-cet) -compile-locales -custom-cflags -doc -gd -headers-only -multilib-bootstrap -nscd -profile (-selinux) -static-pie -suid -systemtap -test (-vanilla)" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB

WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

sys-libs/glibc:2.2

  (sys-libs/glibc-2.33-r7:2.2/2.2::gentoo, ebuild scheduled for merge) USE="multiarch (multilib) ssp (static-libs) -audit -caps (-cet) -compile-locales (-crypt) -custom-cflags -doc -gd -headers-only -multilib-bootstrap -nscd -profile (-selinux) -static-pie -suid -systemd -systemtap -test (-vanilla)" ABI_X86="(64)" conflicts with
    sys-libs/glibc[crypt(+)] required by (virtual/libcrypt-1-r1:0/1::gentoo, installed) USE="-static-libs" ABI_X86="(64) -32 (-x32)"
$


Pouvez-vous m'aider à comprendre le souci ?
_________________
"iMack" : GA-H97M-D3H, Intel i5 4460, 16Go DDR3, Intel HD4600, SSD 256+128Go, HDD 500Go+2To / Clover - macOS Mojave / Gentoo-Xfce
"Portable" : HP Pavilion DV3500, Intel T6400, 4Go, NVidia 9300M, HDD 256Go / Grub2 - Gentoo-Xfce
Back to top
View user's profile Send private message
netfab
Veteran
Veteran


Joined: 03 Mar 2005
Posts: 1772
Location: 127.0.0.1

PostPosted: Tue Nov 02, 2021 9:03 am    Post subject: Reply with quote

Salut,

Resynchronise ton arbre, et fais voir ton emerge --info.
Il y a une news à lire depuis quelques temps à ce sujet : migrating from glibc[crypt] to libxcrypt in stable
Si tu n'as pas de configuration particulière tu ne devrais pas avoir de problème, et la mise à jour devrait se faire normalement.
Il est possible que tu aies synchonisé ton arbre au mauvais moment la dernière fois.
Back to top
View user's profile Send private message
pti-rem
Guru
Guru


Joined: 14 Oct 2011
Posts: 429
Location: dans la Lune

PostPosted: Tue Nov 02, 2021 12:45 pm    Post subject: Reply with quote

Bonjour Anard, netfab,

J'ai cru me confronter à de grandes difficultés cette nuit lors de ma mise à jour @world
Le passage suivant de la news m'a bien aidé :

Quote:
In some cases, Portage may schedule a rebuild of certain packages in an
incorrect order [2]. If building a package fails, please try upgrading
libcrypt and libxcrypt first:

# emerge -v1 virtual/libcrypt sys-libs/libxcrypt

And then continue the world upgrade with Portage's "--keep-going=y".

J'utilise toujours d'abord l'option --pretend (-p)

J'ai eu à créer un /etc/portage/package.use/libxcrypt :

Code:
n73sm ~ # cat /etc/portage/package.use/libxcrypt
# required by virtual/libcrypt-2::gentoo
# required by @selected
# required by @world (argument)
>=sys-libs/libxcrypt-4.4.25 static-libs abi_x86_32
n73sm ~ #

Cette commande emerge en --oneshot (-1) m'a (re)compilé une trentaine de paquets.
Je n'ai pas utilisé de --depclean ni de revdep-rebuild juste après.

Ensuite, j'ai pu faire ma mise à jour globale comme à l'ordinaire.
"--keep-going=y" fait partie de mes options par défaut pour emerge.

Avec les deux séquences, il y a de quoi aller faire un petit tour ;-)
La nouvelle glibc ne veut plus du USE crypt : (-crypt)

D'aujourd'hui :

Code:
n73sm ~ # emerge -pv glibc virtual/libcrypt sys-libs/libxcrypt

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] sys-libs/glibc-2.33-r7:2.2::gentoo  USE="multiarch (multilib) ssp (static-libs) -audit -caps (-cet) -compile-locales (-crypt) -custom-cflags -doc -gd -headers-only -multilib-bootstrap -nscd -profile (-selinux) -static-pie -suid -systemd -systemtap -test (-vanilla)" 0 KiB
[ebuild   R    ] sys-libs/libxcrypt-4.4.25:0/1::gentoo  USE="(compat) (split-usr) static-libs (system) -test" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] virtual/libcrypt-2:0/2::gentoo  USE="static-libs" ABI_X86="32 (64) (-x32)" 0 KiB

Total: 3 packages (3 reinstalls), Size of downloads: 0 KiB
n73sm ~ #

Code:
n73sm ~ # emerge --info
Portage 3.0.28 (python 3.9.7-final-0, default/linux/amd64/17.1/desktop, gcc-11.2.0, glibc-2.33-r7, 4.19.97-gentoo x86_64)
=================================================================
System uname: Linux-4.19.97-gentoo-x86_64-Intel-R-_Core-TM-_i7-2670QM_CPU_@_2.20GHz-with-glibc2.33
KiB Mem:    12200416 total,   9551084 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Tue, 02 Nov 2021 04:15:01 +0000
Head commit of repository gentoo: 3d0fe745e91f2b81bd45b4ef7e32ab9525734801
sh bash 5.1_p8
ld GNU ld (Gentoo 2.37_p1 p0) 2.37
app-shells/bash:          5.1_p8::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.34.0-r3::gentoo
dev-lang/python:          3.6.15::gentoo, 3.7.12_p1::gentoo, 3.9.7_p1::gentoo
dev-lang/rust-bin:        1.53.0::gentoo
dev-util/cmake:           3.20.5::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.44.7::gentoo
sys-apps/sandbox:         2.25::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo, 2.71-r1::gentoo
sys-devel/automake:       1.13.4-r2::gentoo, 1.16.4::gentoo
sys-devel/binutils:       2.37_p1::gentoo
sys-devel/gcc:            8.3.0-r3::gentoo, 9.2.0-r2::gentoo, 9.3.0-r2::gentoo, 10.3.0-r2::gentoo, 11.2.0::gentoo
sys-devel/gcc-config:     2.4::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.10::gentoo (virtual/os-headers)
sys-libs/glibc:           2.33-r7::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.fr.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts:
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-jobs: 1

plex-overlay
    location: /var/lib/layman/plex-overlay
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=corei7-avx -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=corei7-avx -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--jobs=3 --load-average=3.0 --keep-going=y --with-bdeps=y"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirrors.linuxant.fr/distfiles.gentoo.org/ http://gentoo.modulix.net/gentoo/ http://gentoo.mirrors.ovh.net/gentoo-distfiles/ ftp://gentoo.mirrors.ovh.net/gentoo-distfiles/"
LANG="fr_FR.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="fr-FR fr en-US en en-GB"
MAKEOPTS="-j3 -l6"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi aes alsa amd64 avx bluetooth branding bzip2 cairo cdda cdr cli crypt cups dbus dri dts dvd dvdr elogind emboss encode examples exif fdk flac fortran gdbm gif gpm gtk gui handbook iconv icu jpeg lcms libglvnd libnotify libtirpc mad mmx mmxext mng mp3 mp4 mpeg multilib ncurses networkmanager nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds pulseaudio qt5 readline sdl seccomp spell split-usr sse sse2 sse4_1 sse4_2 ssl ssse3 startup-notification svg tcpd tiff tools truetype udev udisks unicode upower usb utils vorbis wxwidgets x264 x265 xattr xcb xml xv xvid zlib" ABI_X86="64" ADA_TARGET="gnat_2019" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" CAMERAS="ptp2 ax203" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" L10N="fr-FR fr en-US en en-GB" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" NGINX_MODULES_HTTP="dav auth_pam fancyindex addition geoip fastcgi uwsgi gzip rewrite autoindex charset proxy" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-3 php7-4" POSTGRES_TARGETS="postgres12 postgres13" PYTHON_SINGLE_TARGET="python3_7" PYTHON_TARGETS="python3_9 python3_7" RUBY_TARGETS="ruby26 ruby27" SANE_BACKENDS="genesys hp hp3500 hp3900 hp4200 hp5400 hp5590 snapscan hpsj5s canon canon630u canon_dr" USERLAND="GNU" VIDEO_CARDS="i965 i915 intel nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RUSTFLAGS

n73sm ~ #

_________________
Il faut être léger pour voler sur les cailloux ! amd64/17.1/desktop · Xfce · GMT


Last edited by pti-rem on Wed Nov 03, 2021 11:58 pm; edited 1 time in total
Back to top
View user's profile Send private message
Anard
Tux's lil' helper
Tux's lil' helper


Joined: 01 Oct 2020
Posts: 91

PostPosted: Tue Nov 02, 2021 6:13 pm    Post subject: Reply with quote

Merci pour vos conseils, j'avais complètement oublié cette news qu'en effet, j'avais lue il y a quelques jours.
Ca semble vouloir se régler tout seul en effet :

Code:
sudo emerge -v1 libcrypt

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] sys-libs/glibc-2.33-r7:2.2::gentoo [2.33-r1:2.2::gentoo] USE="multiarch (multilib) ssp (static-libs) -audit -caps (-cet) -compile-locales (-crypt*) -custom-cflags -doc -gd -headers-only -multilib-bootstrap -nscd -profile (-selinux) -static-pie -suid -systemd% -systemtap -test (-vanilla)" 64 KiB
[ebuild  N     ] sys-libs/libxcrypt-4.4.25:0/1::gentoo  USE="(compat) (split-usr) (system) -static-libs -test" ABI_X86="(64) -32 (-x32)" 601 KiB
[ebuild  r  U  ] virtual/libcrypt-2:0/2::gentoo [1-r1:0/1::gentoo] USE="-static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
[...]


27 paquets sont en cours de recompilation...
_________________
"iMack" : GA-H97M-D3H, Intel i5 4460, 16Go DDR3, Intel HD4600, SSD 256+128Go, HDD 500Go+2To / Clover - macOS Mojave / Gentoo-Xfce
"Portable" : HP Pavilion DV3500, Intel T6400, 4Go, NVidia 9300M, HDD 256Go / Grub2 - Gentoo-Xfce
Back to top
View user's profile Send private message
netfab
Veteran
Veteran


Joined: 03 Mar 2005
Posts: 1772
Location: 127.0.0.1

PostPosted: Wed Nov 24, 2021 8:43 am    Post subject: Reply with quote

Ce blocage particulier est encore arrivé récemment à un administrateur du forum dans ce topic.
Apparemment cela pouvait encore arriver sous certaines conditions.
Le paquet virtual/libcrypt:0/1 a été masqué pour faciliter la transition.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum